"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
const LinkService_1 = require("../service/LinkService");
class Link extends command_1.Command {
    async run() {
        const { flags } = this.parse(Link);
        service_1.BootstrapUtils.showBanner();
        return new service_1.BootstrapService(this.config.root).link(flags);
    }
}
exports.default = Link;
Link.description = `It announces VRF and Voting Link transactions to the network for each node with 'Peer' or 'Voting' roles. This command finalizes the node registration to an existing network.`;
Link.examples = [`$ symbol-bootstrap link`];
Link.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: LinkService_1.LinkService.defaultParams.target,
    }),
    url: command_1.flags.string({
        char: 'u',
        description: 'the network url',
        default: LinkService_1.LinkService.defaultParams.url,
    }),
    unlink: command_1.flags.boolean({
        description: 'Perform "Unlink" transactions unlinking the voting and VRF keys from the node signer account',
        default: service_1.ComposeService.defaultParams.reset,
    }),
    maxFee: command_1.flags.integer({
        description: 'the max fee used when announcing',
        default: LinkService_1.LinkService.defaultParams.maxFee,
    }),
};
